### Enumeration

# Gdk AxisUse

#### Declaration

    enum Gdk.AxisUse

#### Description [src]

Defines how device axes are interpreted by GTK.

Note that the X and Y axes are not really needed; pointer devices report their location via the x/y members of events regardless. Whether X and Y are present as axes depends on the GDK backend.

#### Members

Name | Description
--- | ---
`GDK_AXIS_IGNORE` | The axis is ignored.
`GDK_AXIS_X` | The axis is used as the x axis.
`GDK_AXIS_Y` | The axis is used as the y axis.
`GDK_AXIS_DELTA_X` | The axis is used as the scroll x delta.
`GDK_AXIS_DELTA_Y` | The axis is used as the scroll y delta.
`GDK_AXIS_PRESSURE` | The axis is used for pressure information.
`GDK_AXIS_XTILT` | The axis is used for x tilt information.
`GDK_AXIS_YTILT` | The axis is used for y tilt information.
`GDK_AXIS_WHEEL` | The axis is used for wheel information.
`GDK_AXIS_DISTANCE` | The axis is used for pen/tablet distance information.
`GDK_AXIS_ROTATION` | The axis is used for pen rotation information.
`GDK_AXIS_SLIDER` | The axis is used for pen slider information.
`GDK_AXIS_LAST` | A constant equal to the numerically highest axis value.